Package ghidra.pcode.exec

# Enum Class PcodeExecutorStatePiece.Reason

java.lang.Object
java.lang.Enum<PcodeExecutorStatePiece.Reason>
ghidra.pcode.exec.PcodeExecutorStatePiece.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<PcodeExecutorStatePiece.Reason>`, `Constable`

Enclosing interface:
  PcodeExecutorStatePiece<A,T>

public static enum PcodeExecutorStatePiece.Reason extends Enum<PcodeExecutorStatePiece.Reason>
Reasons for reading state

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXECUTE_DECODE`
  The value is being decoded by the emulator as an instruction for execution
  `EXECUTE_READ`
  The value is being read by the emulator as data in the course of execution
  `INSPECT`
  The value is being inspected by something other than an emulator
  `RE_INIT`
  The value is needed as the default program counter or disassembly context

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PcodeExecutorStatePiece.Reason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PcodeExecutorStatePiece.Reason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RE_INIT

    public static final PcodeExecutorStatePiece.Reason RE_INIT
    The value is needed as the default program counter or disassembly context

  - ### EXECUTE_READ

    public static final PcodeExecutorStatePiece.Reason EXECUTE_READ
    The value is being read by the emulator as data in the course of execution

  - ### EXECUTE_DECODE

    public static final PcodeExecutorStatePiece.Reason EXECUTE_DECODE
    The value is being decoded by the emulator as an instruction for execution

  - ### INSPECT

    public static final PcodeExecutorStatePiece.Reason INSPECT
    The value is being inspected by something other than an emulator

- ## Method Details

  - ### values

    public static PcodeExecutorStatePiece.Reason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PcodeExecutorStatePiece.Reason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null